{% csrf_token %}
<div class="w-50">
    {% for error in non_field_errors %}
        <p class="text-danger">{{ error }}</p>
    {% endfor %}

    {% for field in form %}
        <div class="mb-3">
            <label for="{{ field.id_for_label }}">{{ field.label }}</label>
            {{ field }}
            {% for error in field.errors %}
                <p class="text-danger">{{ error }}</p>
            {% endfor %}
        </div>
    {% endfor %}
</div>

<button type="submit" class="btn btn-primary">{{ button_text }}</button>
